/* CVS $Id: $ */
 
import com.hp.hpl.jena.rdf.model.*;
 
/**
 * Vocabulary definitions from EARL.ttl 
 * @author Auto-generated by schemagen on 10 Jul 2007 12:12 
 */
public class Ttl {
    /** <p>The RDF model that holds the vocabulary terms</p> */
    private static Model m_model = ModelFactory.createDefaultModel();
    
    /** <p>The namespace of the vocabulary as a string</p> */
    public static final String NS = "http://www.w3.org/ns/earl#";
    
    /** <p>The namespace of the vocabulary as a string</p>
     *  @see #NS */
    public static String getURI() {return NS;}
    
    /** <p>The namespace of the vocabulary as a resource</p> */
    public static final Resource NAMESPACE = m_model.createResource( NS );
    
    public static final Property assertedBy = m_model.createProperty( "http://www.w3.org/ns/earl#assertedBy" );
    
    public static final Property info = m_model.createProperty( "http://www.w3.org/ns/earl#info" );
    
    public static final Property outcome = m_model.createProperty( "http://www.w3.org/ns/earl#outcome" );
    
    public static final Property mode = m_model.createProperty( "http://www.w3.org/ns/earl#mode" );
    
    /** <p>Assertor assisting to determine assertion result</p> */
    public static final Property helpAssertor = m_model.createProperty( "http://www.w3.org/ns/earl#helpAssertor" );
    
    public static final Property result = m_model.createProperty( "http://www.w3.org/ns/earl#result" );
    
    /** <p>Assertor mainly responsible for determining assertion result</p> */
    public static final Property mainAssertor = m_model.createProperty( "http://www.w3.org/ns/earl#mainAssertor" );
    
    public static final Property pointer = m_model.createProperty( "http://www.w3.org/ns/earl#pointer" );
    
    public static final Property sourceCopy = m_model.createProperty( "http://www.w3.org/ns/earl#sourceCopy" );
    
    public static final Property test = m_model.createProperty( "http://www.w3.org/ns/earl#test" );
    
    public static final Property subject = m_model.createProperty( "http://www.w3.org/ns/earl#subject" );
    
    public static final Property context = m_model.createProperty( "http://www.w3.org/ns/earl#context" );
    
    /** <p>Persons or evaluation tools that claim assertions</p> */
    public static final Resource Assertor = m_model.createResource( "http://www.w3.org/ns/earl#Assertor" );
    
    /** <p>A test case against which subjects are tested</p> */
    public static final Resource TestCase = m_model.createResource( "http://www.w3.org/ns/earl#TestCase" );
    
    /** <p>Mode in which tests were conducted</p> */
    public static final Resource TestMode = m_model.createResource( "http://www.w3.org/ns/earl#TestMode" );
    
    /** <p>Subject of the assertion</p> */
    public static final Resource TestSubject = m_model.createResource( "http://www.w3.org/ns/earl#TestSubject" );
    
    /** <p>A requirement against which subjects are tested</p> */
    public static final Resource TestRequirement = m_model.createResource( "http://www.w3.org/ns/earl#TestRequirement" );
    
    /** <p>Nominal value of the result</p> */
    public static final Resource OutcomeValue = m_model.createResource( "http://www.w3.org/ns/earl#OutcomeValue" );
    
    /** <p>A tool that can perform tests or be the subject of testing</p> */
    public static final Resource Software = m_model.createResource( "http://www.w3.org/ns/earl#Software" );
    
    /** <p>Result from conducting test cases on subjects</p> */
    public static final Resource TestResult = m_model.createResource( "http://www.w3.org/ns/earl#TestResult" );
    
    /** <p>A testable statement against which subjects are tested</p> */
    public static final Resource TestCriterion = m_model.createResource( "http://www.w3.org/ns/earl#TestCriterion" );
    
    /** <p>Subjects that are available on the Web</p> */
    public static final Resource Content = m_model.createResource( "http://www.w3.org/ns/earl#Content" );
    
    /** <p>One person or evaluation tool that claims assertions</p> */
    public static final Resource SingleAssertor = m_model.createResource( "http://www.w3.org/ns/earl#SingleAssertor" );
    
    /** <p>Parent node that contains all parts of an assertion</p> */
    public static final Resource Assertion = m_model.createResource( "http://www.w3.org/ns/earl#Assertion" );
    
    /** <p>Group of persons or evaluation tools that claim assertions</p> */
    public static final Resource CompoundAssertor = m_model.createResource( "http://www.w3.org/ns/earl#CompoundAssertor" );
    
    /** <p>Test failed</p> */
    public static final Resource fail = m_model.createResource( "http://www.w3.org/ns/earl#fail" );
    
    /** <p>Test has not been carried out</p> */
    public static final Resource notTested = m_model.createResource( "http://www.w3.org/ns/earl#notTested" );
    
    /** <p>Test passed</p> */
    public static final Resource pass = m_model.createResource( "http://www.w3.org/ns/earl#pass" );
    
    /** <p>Test was performed primarily by a tool, and human assistance</p> */
    public static final Resource semiAutomatic = m_model.createResource( "http://www.w3.org/ns/earl#semiAutomatic" );
    
    /** <p>Test is not applicable to the subject</p> */
    public static final Resource notApplicable = m_model.createResource( "http://www.w3.org/ns/earl#notApplicable" );
    
    /** <p>Result was derived from other results</p> */
    public static final Resource heuristic = m_model.createResource( "http://www.w3.org/ns/earl#heuristic" );
    
    /** <p>Test was performed by a tool only</p> */
    public static final Resource automatic = m_model.createResource( "http://www.w3.org/ns/earl#automatic" );
    
    /** <p>Test was performed by a human only</p> */
    public static final Resource manual = m_model.createResource( "http://www.w3.org/ns/earl#manual" );
    
    /** <p>Outcome of the test is uncertain</p> */
    public static final Resource cannotTell = m_model.createResource( "http://www.w3.org/ns/earl#cannotTell" );
    
    /** <p>Test was performed by a combination of persons and tools</p> */
    public static final Resource notAvailable = m_model.createResource( "http://www.w3.org/ns/earl#notAvailable" );
    
}
